#132468 PHP 8 Critical Error – Jupiter X 1.26.0, Jupiter X Core 1.23.0

Landing Forums JupiterX WordPress Theme PHP 8 Critical Error – Jupiter X 1.26.0, Jupiter X Core 1.23.0

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • Peter Embscher

    My website encounters an error when changing the PHP Version from 7.4 to 8.

    JupiterX version is 1.26.0
    Jupiter X Core version is 1.23.0

    The corresponding debug log:

    [30-Sep-2021 06:06:57 UTC] PHP Fatal error:  Uncaught ValueError: Unknown format specifier "$" in /html/wp-content/themes/jupiterx/lib/admin/custom-fields/post-types/options/main.php:37
    Stack trace:
    #0 /html/wp-content/themes/jupiterx/lib/admin/custom-fields/post-types/options/main.php(37): sprintf('W\xC3\xA4hle ein geei...', 'Template', 'Beitrags-/Seite...')
    #1 /html/wp-content/themes/jupiterx/lib/api/custom-fields/class.php(79): require_once('/html/wp-c...')
    #2 /html/wp-includes/class-wp-hook.php(303): JupiterX_Custom_Fields->register_fields('')
    #3 /html/wp-includes/class-wp-hook.php(327): WP_Hook->apply_filters(NULL, Array)
    #4 /html/wp-includes/plugin.php(470): WP_Hook->do_action(Array)
    #5 /html/wp-settings.php(578): do_action('init')
    #6 /html/wp-config.php(122): require_once('/html/wp-s...')
    #7 /html/wp-load.php(50): require_once('/html/wp-c...')
    #8 /html/wp-admin/admin.php(34): require_once('/html/wp-l...')
    #9 /html/wp-admin/edit-comments.php(10): require_once('/html/wp-a...')
    #10 {main}
      thrown in /html/wp-content/themes/jupiterx/lib/admin/custom-fields/post-types/options/main.php on line 37
    
    Amir Rather Support Team

    Hi There

    Please stay below PHP 8 for now until we release a new update 🙂

    Regards

Viewing 2 posts - 1 through 2 (of 2 total)
You must be logged in to reply to this topic.
Login